Bug 679005 - [abrt] pulseaudio-equalizer-2.7-5.fc14: pulseaudio-equalizer.py:184:on_presetsbox:IOError: [Errno 2] No such file or directory: '/usr/share/pulseaudio-equalizer/presets/m.preset'
Summary: [abrt] pulseaudio-equalizer-2.7-5.fc14: pulseaudio-equalizer.py:184:on_preset...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hicham HAOUARI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f5ade0d2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 09:25 UTC by Andres Rios
Modified: 2011-03-27 19:35 UTC (History)
1 user (show)

Fixed In Version: pulseaudio-equalizer-2.7-8.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-23 05:03:35 UTC


Attachments (Terms of Use)
File: backtrace (601 bytes, text/plain)
2011-02-21 09:25 UTC, Andres Rios
no flags Details

Description Andres Rios 2011-02-21 09:25:55 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py
component: pulseaudio-equalizer
executable: /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py
kernel: 2.6.35.11-83.fc14.i686.PAE
package: pulseaudio-equalizer-2.7-5.fc14
reason: pulseaudio-equalizer.py:184:on_presetsbox:IOError: [Errno 2] No such file or directory: '/usr/share/pulseaudio-equalizer/presets/m.preset'
release: Fedora release 14 (Laughlin)
time: 1298280269
uid: 500

backtrace
-----
pulseaudio-equalizer.py:184:on_presetsbox:IOError: [Errno 2] No such file or directory: '/usr/share/pulseaudio-equalizer/presets/m.preset'

Traceback (most recent call last):
  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 184, in on_presetsbox
    f = open(presetdir2 + "/" + preset + ".preset", "r")
IOError: [Errno 2] No such file or directory: '/usr/share/pulseaudio-equalizer/presets/m.preset'

Local variables in innermost frame:
i: 19
x: 15
widget: <gtk.ComboBoxEntry object at 0xa217aa4 (GtkComboBoxEntry at 0xa29f878)>
self: <__main__.Equalizer instance at 0xb754beac>

How to reproduce
-----
1.Try to save a preset
2.set a name
3.then appear the first letter of my preset
4.select that new preset
5.and crash it!

Comment 1 Andres Rios 2011-02-21 09:25:58 UTC
Created attachment 479845 [details]
File: backtrace

Comment 2 Hicham HAOUARI 2011-02-21 23:45:23 UTC
Thank you for reporting this bug, a fix will be issued ASAP

Comment 3 Fedora Update System 2011-03-17 14:20:02 UTC
pulseaudio-equalizer-2.7-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-7.fc15

Comment 4 Fedora Update System 2011-03-17 14:27:22 UTC
pulseaudio-equalizer-2.7-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-7.fc14

Comment 5 Fedora Update System 2011-03-17 14:27:48 UTC
pulseaudio-equalizer-2.7-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-7.fc13

Comment 6 Fedora Update System 2011-03-19 02:41:14 UTC
pulseaudio-equalizer-2.7-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-8.fc13

Comment 7 Fedora Update System 2011-03-19 02:41:44 UTC
pulseaudio-equalizer-2.7-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-8.fc14

Comment 8 Fedora Update System 2011-03-19 02:43:43 UTC
pulseaudio-equalizer-2.7-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pulseaudio-equalizer-2.7-8.fc15

Comment 9 Fedora Update System 2011-03-23 05:03:31 UTC
pulseaudio-equalizer-2.7-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-27 19:21:42 UTC
pulseaudio-equalizer-2.7-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-27 19:35:37 UTC
pulseaudio-equalizer-2.7-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.